<p>d4 works!</p>

<div class="modal-overlay" (click)="cerrarModal()" *ngIf="producto?.id !=null">

<div class="message-container" (click)="detenerPropagacion($event)">

  <div class="message-label">
    <label>¿Estás seguro de eliminar el producto {{producto?.name}}?</label>
  </div>

  <hr>

  <div class="message-bottom">
    <button class="button-cancelar" (click)="cerrarModal()">Cancelar</button>
    <button class="button-confirm" (click)="deleteProduct()">Confirmar</button>
  </div>

</div>


</div>
